SNID(8)

NAME
snid - Oblivious TLS-SNI proxy with zero config IPv4/v6 translation

DESCRIPTION

  Usage of snid:

-backend-cidr value

    CIDR of allowed backends (repeatable) (tcp, nat46 modes)

-backend-port int

    Port number of backend (defaults to same port number as listener) (tcp mode)

-default-hostname string

    Default hostname if client does not provide SNI

-listen value

    Socket to listen on (repeatable)

-mode string

    unix, tcp, or nat46

-nat46-prefix value

    IPv6 prefix for NAT46 source address (nat46 mode)

-proxy-proto

    Use PROXY protocol when talking to backend (tcp, unix modes)

-unix-directory string

    Path to directory containing backend UNIX sockets (unix mode)